## apsfilter 7.2.6

=== contrib/ruslpdrv/Makefile ===
# $ApsCVS: src/apsfilter/contrib/ruslpdrv/Makefile,v 1.3 2000/04/16 11:42:16 andreas Exp $
#
CC?=		cc
CFLAGS?=	-pipe -O2
CFLAGS+=	-funsigned-char

all:		lpfont transfont

lpfont:		lpfont.c
		$(CC) $(CFLAGS) lpfont.c -o lpfont

transfont:	transfont.c
		$(CC) $(CFLAGS) transfont.c -o transfont

clean:
		rm -f lpfont transfont *.o *core*

=== debian/changelog ===
apsfilter (7.2.6-5) unstable; urgency=medium

  * QA upload.

  * Corrected Vcs links in d/control.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 15 Nov 2024 15:08:09 +0100

apsfilter (7.2.6-4) unstable; urgency=medium

  * QA upload.

  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Updated vcs in d/control to Salsa.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 14 Nov 2024 07:24:52 +0100

apsfilter (7.2.6-3) unstable; urgency=medium

  * QA upload
  * Packaging cleanup. Closes: #965410, #999010

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 24 Dec 2022 12:08:28 +0100

apsfilter (7.2.6-2) unstable; urgency=medium

  * QA upload.
  * Change maintainer to QA group.
  * d/control: Change Priority to optional.
  * Explicit pass `--with-shell=/bin/bash` to configure to make build
    reproducible between merged-usr and non-merged-usr systems.
    (Closes: #915166)

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 01 Dec 2018 16:28:30 +0100

apsfilter (7.2.6-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * bin/setup_dvips.sh: Fix bashism. (Closes: #489536)
  * Don't ignore errors by make
  * Set compat level to five.
  * Bump debhelper dep and move it to b-d.
  * Add a dependency on misc:depends.
  * Suggest ghostscript instead of gs.

 -- Raphael Geissert <geissert@debian.org>  Thu, 02 Jul 2009 20:50:56 -0500

apsfilter (7.2.6-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Fix bashim. (Closes: #459048)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Mon, 28 Jan 2008 00:42:50 +0100

apsfilter (7.2.6-1.1) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n and debconf issues
  * Remove the debconf note which deals with a pre-sarge version
    That implies removing debian/config, debian/templates and debian/po/
    (closes: #377973)
  * Depending on debconf is not needed anymore (closes: #331744)
  * Debconf translations not needed anymore (closes: #313111, #315815, #341555)

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Oct 2006 18:41:25 +0200

apsfilter (7.2.6-1) unstable; urgency=low

  * New upstream version
  * Fixed sendmail check in configure to produce warning instead of error
    (closes: #269505)

 -- Pawel Wiecek <coven@debian.org>  Tue, 15 Feb 2005 23:16:47 +0100

apsfilter (7.2.5-5) unstable; urgency=low

  * Added japanese debconf templates from Hideki Yamane <henrich@samba.gr.jp>
    (closes: #236818)
  * While at that -- fixed some grammar errors in polish translations, I have
    no idea where they could possibly come from
  * Removed recommendation of (a2ps | mpage | recode | enscript) and added a
    dependency on a2ps instead (closes: #250163)
  * Added danish debconf templates from Michael Kristensen <michael@wtf.dk>
    (closes: #253055)
  * Replaced build-dependency on MTA with --with-sendmail option to configure
    (no fcking idea why I didn't do it in 7.2.5-2) (closes: #262236)
  * Added support for gs 8.xx as an ugly hack. Serious support should be made,
    but this seems more like important upstream change (closes: #267258)

 -- Pawel Wiecek <coven@debian.org>  Tue, 31 Aug 2004 23:38:13 +0200

apsfilter (7.2.5-4) unstable; urgency=low

  * Fixed config dir location inside apsfilter binary (closes: #230306,
    #232104)

 -- Pawel Wiecek <coven@debian.org>  Thu, 12 Feb 2004 13:44:57 +0100

apsfilter (7.2.5-3) unstable; urgency=low

  * This release closes mostly bugs that were easy to fix. More is on the way.
  * Applied a set of patches from Martin Pitt <martin@piware.de> to fix
    multiple bugs (closes: #146724, #190169, #216438, #201273, #201274,
    #201288, #201291)
  * Applied a patch from <ibaldo@adinet.com.uy> to workaround a bug in nprint
    (closes: #203217)
  * Switched to gettext-based debconf templates and added french translations
    from Christian Perrier <bubulle@debian.org> (closes: #205802, #206435)
  * Added patch from Marc Wilson <msw@cox.net> to fix manual input tray
    support (closes: #227245)
  * Marked STP drivers as obsolete and added suggestion that ijsgimpprint
    should be used (closes: #170827)
  * Changed permissions on /etc/apsfilter/QUEUE/netware.conf as set by
    apsfiltersetup (closes: #203216)

 -- Pawel Wiecek <coven@debian.org>  Wed, 28 Jan 2004 14:19:35 +0100

apsfilter (7.2.5-2) unstable; urgency=low

  * Added exim|mail-transport-agent to build dependencies (closes: #187643)
  * Updated standards version
  * Install correct manpages (closes: #144934)
  * More fixes to come
  * Removed dependency on awk (suggested by lintian)

 -- Pawel Wiecek <coven@debian.org>  Fri, 25 Apr 2003 15:08:28 +0200

apsfilter (7.2.5-1) unstable; urgency=low

  * New upstream version

 -- Pawel Wiecek <coven@debian.org>  Tue, 26 Nov 2002 13:48:06 +0100

apsfilter (7.2.3-1) unstable; urgency=low

  * New upstream version

 -- Pawel Wiecek <coven@debian.org>  Mon, 28 Oct 2002 09:58:08 +0100

apsfilter (7.2.2-3) unstable; urgency=low

  * Moved aps2file, apspreview and apsfilter-bug to /usr/bin (closes: #138580)

 -- Pawel Wiecek <coven@debian.org>  Mon, 18 Mar 2002 21:46:11 +0100

apsfilter (7.2.2-2) unstable; urgency=low

  * Added russian translation of debconf templates (closes: #137615)
  * Now installs drivers directory as it should (closes: #138081)
  * Now uses /usr/bin/awk instead of what gets autodetected at build time
    (closes: #138085)

 -- Pawel Wiecek <coven@debian.org>  Wed, 13 Mar 2002 13:35:28 +0100

apsfilter (7.2.2-1) unstable; urgency=low

  * New upstream version (closes: #127039)
  * Now correctly specifies shell (closes: #121257)
  * Uses mpage, recode and enscript as alternatives to a2ps (closes: #103129)
  * There are probably more bugs I can close with this release -- I'd have to
    test them more extensively first

 -- Pawel Wiecek <coven@debian.org>  Thu, 28 Feb 2002 14:46:57 +0100



=== debian/control ===
Source: apsfilter
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
Priority: optional
Section: text
Vcs-Browser: https://salsa.debian.org/debian/apsfilter
Vcs-Git: https://salsa.debian.org/debian/apsfilter.git

Package: apsfilter
Architecture: all
Depends: a2ps,
         file,
         lpr,
         ${misc:Depends},
Suggests: bzip2,
          dvips,
          ghostscript,
          groff,
          html2ps,
          imagemagick,
          libjpeg-progs,
          netpbm,
          pnm2ppa,
          psutils,
          sketch,
          transfig,
Conflicts: magicfilter,
Description: Magic print filter with automatic file type recognition
 apsfilter makes printing many file formats much easier.  It features
 on-the-fly decompression and conversion, and works on both PostScript
 and non-PostScript (via Ghostscript) graphical printers.
 .
 Among the supported formats are: gzip, bzip2, compress, freeze, pack,
 ASCII, BMP, data (PCL, etc.), DVI, FBM, FIG, FITS, GIF, Group 3 fax,
 HTML, IFF ILBM, JPEG, Kodak Photo CD, MGR, MIFF, PBM/PGM/PNM/PPM, PDF,
 PNG, PostScript, RLE, SGI, Sketch, Sun raster, Targa, TIFF, troff, WPG,
 X pixmap, XCF.  Note that actual support depends on the installed
 filter programs.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	# NB: This is not automake
	./configure \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=/usr/share/man \
		--with-awk=/usr/bin/awk \
		--with-sendmail=/usr/sbin/sendmail \
		--with-shell=/bin/bash

override_dh_install:
	dh_install
	mv debian/apsfilter/usr/sbin/SETUP debian/apsfilter/usr/sbin/apsfilterconfig

override_dh_auto_install:
	dh_auto_install
	rm debian/apsfilter/usr/share/doc/apsfilter/README.BSD
	rm debian/apsfilter/etc/apsfilter/basedir
